#!/bin/bash

echo "=> Script de postrun de centro específico"

# Creamos y eliminamos una cuenta de usuario de Invitado:
# issue: https://soporte.vitalinux.educa.aragon.es/issues/5399
# Preparamos la auditoria:
LOG="vx-usuario-invitado.log"
vx-log_xsession -o "${LOG}"
getent passwd "Invitado" && userdel -fr "Invitado" || echo "$(date) - No existe ninguna cuenta de Invitado que eliminar"
COM="Invitado - Escuela Hogar de Teruel"
useradd -m -d "/home/Invitado" \
    -s "/bin/bash" \
    -g "alumno" -G "nopasswdlogin,dialout" \
    -p "$(echo -n "Invitado" | mkpasswd -s -m sha-512)" \
    -c "${COM}" "Invitado"
vx-modificar-usu-inicio-sesion-cli "Invitado"
echo "$(date) - Se ha creado la cuenta de ${COM}"